summaryrefslogtreecommitdiffstats
path: root/system/xar/xar.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/xar/xar.SlackBuild')
-rw-r--r--system/xar/xar.SlackBuild122
1 files changed, 122 insertions, 0 deletions
diff --git a/system/xar/xar.SlackBuild b/system/xar/xar.SlackBuild
new file mode 100644
index 0000000000..fd11966455
--- /dev/null
+++ b/system/xar/xar.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+
+# Slackware build script for xar
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Notes:
+
+# Man page says xar is no longer actively developed. I added this to
+# SBo in order to extract old archives I ran into, so this doesn't
+# bother me.
+
+# The original google code project is dead, and so is mackyle's github
+# project. The Apple project might be deprecated, but it was last
+# updated in 2020, so it's at least not ancient history.
+
+# For some reason, gentoo and other distros want to give this the
+# version number "1.8.0.0.452". Dunno where the extra zeroes come
+# from. "xar --version" reports "1.8dev", the tarball's version
+# number is the SVN revision, 452...
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=xar
+VERSION=${VERSION:-1.8dev+452}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCVER="$( echo $VERSION | cut -d+ -f2 )"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+cd $PRGNAM
+
+# patches came from gentoo:
+# https://gitweb.gentoo.org/repo/gentoo.git/tree/app-arch/xar
+for i in $CWD/patches/*.patch; do
+ patch -p1 < $i
+done
+
+# -I doesn't affect #include "blah.h".
+sed -i 's,"\(\(util\|filetree\)\.h\)",<\1>,' src/xar.c
+
+# xar executable, library, and includes. have to manually add
+# openssl's libs, and jigger the include path for <util.h> and
+# <filetree.h>.
+sh autogen.sh --noconfigure
+
+LIBS="$( pkg-config --libs openssl )" \
+CFLAGS="$SLKCFLAGS -Wl,-s -I$(pwd)/lib" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+gzip $PKG/usr/man/man?/*
+rm -f $PKG/usr/lib*/*.la
+
+cd -
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a README xar.txt xar/{ChangeLog,LICENSE,TODO} $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE